Subject: Re: [PATCH net-next 1/3] tools: ynl: cli: Add --list-attrs option to show operation attributes

From: Jakub Kicinski <[email-masked]>
Date: Wed, 19 Nov 2025 06:20:03 -0800

On Wed, 19 Nov 2025 13:36:09 +0200 Gal Pressman wrote:
> On 18/11/2025 19:13, Jakub Kicinski wrote:
> > On Tue, 18 Nov 2025 11:38:04 +0200 Gal Pressman wrote:  
> >> We need to take care of both cases where the whole operation is
> >> identical (e.g., ethtool debug-get), and cases where only the replies
> >> are identical (e.g., netdev dev-get). This kind of complicates the code.  
> > 
> > I was thinking just the reply. This is mostly for GET type operations.
> > Request doesn't exist for DUMP, but for DO it carries ID.  
> 
> Some dumps have requests, like ethtool's debug-get or strset-get.
> I have a patch that detects identical replies, but it's quite ugly TBH.
> I'd prefer to keep the code as is, but up to you.

It's alright. I'll poke at it after merging, but if we can't find 
a clean way it's fine.